
Infrastructure - Task #1464

Story # 1378 (Closed): Adding new object formats shouldn't require buildout 

Write unit tests for listFormats() and getFormat()

2011-04-05 16:22 - Chris Jones

Status: Closed Start date: 2011-04-05

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2011.35-Block.5   

Milestone:  Story Points:  

Product Version: *   

Description

The listFormats() and getFormat() CN CRUD services should be exercised in the unit test suite.

History

#1 - 2011-06-03 14:51 - Chris Jones

- Status changed from New to In Progress

Tests are written for ObjectFormatCache.listFormats() and ObjectFormatCache.getFormat().  Need to do the same for CNCoreImpl.

#2 - 2011-06-15 14:52 - Chris Jones

- Status changed from In Progress to Closed

Tests are in CNCoreImplTest for Metacat.
